Index: build-system/Makefile.install
===================================================================
--- build-system/Makefile.install	(revision 5787)
+++ build-system/Makefile.install	(revision 5885)
@@ -41,4 +41,6 @@
 	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'/man3/
 	mkdir -p '$(DESTDIR)$(PREFIX_CKPORT)'
+prep-install-dirs-plugin:
+	mkdir -p '$(DESTDIR)$(PLUGIN_PATH)'
 
 prep-install-bin: all prep-install-dirs-bin
@@ -46,4 +48,5 @@
 prep-install-header: all prep-install-dirs-header
 prep-install-lib: all prep-install-dirs-lib
+prep-install-plugin: all prep-install-dirs-plugin
 
 # this works for both, -bin and -tools
@@ -59,4 +62,6 @@
 	sh -c 'set -e; for file in $(MANPAGE_3);  do cp $(cp_v) $$file '$(DESTDIR)$(PREFIX_MAN)'/man3/; done'
 #	cp $(cp_v) $(CKPORTDB)
+install-plugin: prep-install-plugin
+	cp $(cp_v) $(TARGETS) '$(DESTDIR)$(PLUGIN_PATH)'/
 
 semi-install-bin: prep-install-bin
@@ -72,4 +77,6 @@
 	sh -c 'set -e; for file in $(HEADERS);    do ln -fs `pwd`/$(HEADERS_DIR)/$$file '$(DESTDIR)$(PREFIX_INC)'/'$(HEADER_PREFIX)'; done'
 	sh -c 'set -e; for file in $(MANPAGE_3);  do ln -fs `pwd`/$$file '$(DESTDIR)$(PREFIX_MAN)'/man3/; done'
+semi-install-plugin: prep-install-plugin
+	sh -c 'set -e; for file in $(TARGETS);    do ln -fs `pwd`/$$file '$(DESTDIR)$(PLUGIN_PATH)/'; done'
 
 uninstall-bin:
@@ -85,2 +92,4 @@
 	sh -c 'set -e; for file in $(HEADERS);    do rm -f '$(DESTDIR)$(PREFIX_INC)'/'$(HEADER_PREFIX)/'$$file; done'
 	sh -c 'set -e; for file in $(MANPAGE_3);  do rm -f '$(DESTDIR)$(PREFIX_MAN)/man3/$$file'; done'
+uninstall-plugin:
+	sh -c 'set -e; for file in $(TARGETS);    do rm -f '$(DESTDIR)$(PLUGIN_PATH)/'$$file; done'
Index: build-system/Makefile.plugin
===================================================================
--- build-system/Makefile.plugin	(revision 5775)
+++ build-system/Makefile.plugin	(revision 5885)
@@ -27,3 +27,13 @@
 LIBS        += $(ROAR_LIBS)
 
+#        cp $(cp_v) ${TARGETS} '$(DESTDIR)$(PREFIX_PLUGINS)/universal/universal/$(DEV_VENDOR)-$(DEV_VENDOR_NAME)/'
+
+PLUGIN_VENDOR  ?= <$(DEV_VENDOR_STRING)>
+PLUGIN_PRODUCT_NAME ?= DUMMY
+PLUGIN_PRODUCT ?= $(PLUGIN_PRODUCT_NAME) $(PLUGIN_VENDOR)
+PLUGIN_PATH    := $(shell roar-config --product '$(PLUGIN_PRODUCT)' --provider '$(PLUGIN_VENDOR)' --path prefix-plugins)
+
+RABS_INSTALL_TARGETS += plugin
+
 include $(ROAR_BUILDSYSTEM_DIR)/Makefile.common
+include $(ROAR_BUILDSYSTEM_DIR)/Makefile.install
Index: build-system/configure.lib
===================================================================
--- build-system/configure.lib	(revision 5878)
+++ build-system/configure.lib	(revision 5885)
@@ -36,4 +36,30 @@
  echo "Error: $_object is missing but required."
  exit 1
+}
+
+set_dev_vendor() {
+ if [ "$#" = '2' ]
+ then
+  DEV_VENDOR="$1"
+  DEV_VENDOR_NAME="$2"
+  DEV_VENDOR_STRING="$DEV_VENDOR/$DEV_VENDOR_NAME"
+ else
+  DEV_VENDOR=''
+  DEV_VENDOR_NAME="$1"
+  DEV_VENDOR_STRING="$DEV_VENDOR_NAME"
+ fi
+}
+
+set_std_vendor() {
+ if [ "$#" = '2' ]
+ then
+  STD_VENDOR="$1"
+  STD_VENDOR_NAME="$2"
+  STD_VENDOR_STRING="$STD_VENDOR/$STD_VENDOR_NAME"
+ else
+  STD_VENDOR=''
+  STD_VENDOR_NAME="$1"
+  STD_VENDOR_STRING="$STD_VENDOR_NAME"
+ fi
 }
 
@@ -441,4 +467,11 @@
   echo "DISTRIBUTION_VERSION_STRING=$DISTRIBUTION_VERSION_STRING"
   echo
+  [ "$DEV_VENDOR"        != '' ] && echo "DEV_VENDOR=$DEV_VENDOR"
+  [ "$DEV_VENDOR_NAME"   != '' ] && echo "DEV_VENDOR_NAME=$DEV_VENDOR_NAME"
+  [ "$DEV_VENDOR_STRING" != '' ] && echo "DEV_VENDOR_STRING=$DEV_VENDOR_STRING"
+  [ "$STD_VENDOR"        != '' ] && echo "STD_VENDOR=$STD_VENDOR"
+  [ "$STD_VENDOR_NAME"   != '' ] && echo "STD_VENDOR_NAME=$STD_VENDOR_NAME"
+  [ "$STD_VENDOR_STRING" != '' ] && echo "STD_VENDOR_STRING=$STD_VENDOR_STRING"
+  echo
   echo "TARGET_TYPE=$TARGET_TYPE"
   echo "SHARED=$SHARED"
Index: build-system/configure.vars
===================================================================
--- build-system/configure.vars	(revision 5869)
+++ build-system/configure.vars	(revision 5885)
@@ -34,4 +34,10 @@
 DISTRIBUTION_VERSION_STRING=''
 
+DEV_VENDOR=''
+DEV_VENDOR_NAME=''
+DEV_VENDOR_STRING=''
+STD_VENDOR=''
+STD_VENDOR_NAME=''
+STD_VENDOR_STRING=''
 
 TF_C=testit.c
